Page MenuHomePhabricator

[Regression] Incomplete log entries: sublog missing
Closed, ResolvedPublic

Description

Hello,

The log entries generated when using Revision Deletion on logs are now incomplete and looks like:

(show/hide) 21:11, 16 June 2012 MarcoAurelio (talk | contribs | block) changed visibility of a log event on Special:Log: content hidden (hiding vandalism/attack) (change visibility)

Previously:

(show/hide) 22:04, 9 March 2012 MarcoAurelio (talk | contribs | block) changed visibility of a log event on Special:Log/globalauth: content hidden (username) (change visibility)

Please restore in the message on which sublog the action was performed; which has been recently removed as far as I can see.

Thanks.


Version: 1.20.x
Severity: major

Details

Reference
bz37714

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:22 AM
bzimport set Reference to bz37714.

I guess it appeared yesterday with 1.20wmf5 release?

Last event with log subpage was 20120508192229, so it'd be a 1.20wmf4 regression, not 1.20wmf5

I think this is because you can now select multiple log entries - and therefore multiple types of log. You'll see the same thing on Special:RevisionDelete - it only shows 'Logs'. Maybe if all the hidden entries are of one type, it should show that type?

Removing this as a blocker for future deployments, since rolling back to the previous version will not fix this issue.

(In reply to comment #4)

Removing this as a blocker for future deployments, since rolling back to the
previous version will not fix this issue.

I've marked it as 1.20 regression instead (which it is). For now also put on milestone, but depending on the severity it may not deserve a blocker, but it is a 1.20 regression that should ideally be fixed before it goes out in a public release.

Gerrit change 27869

Patch needs one more review in Gerrit, help welcome.

Patch has received two +1's, still not in though.

Merged by Chris on the 14th.

The maintenance script in Gerrit change 42405 can be used to fix deletion/suppression log entries which under the current system should have the target sublog.

Was already in the tarball and was then backported to 1.20 with https://gerrit.wikimedia.org/r/#/c/32227/

(In reply to comment #10)

The maintenance script in Gerrit change #42405 can be used to fix
deletion/suppression log entries which under the current system should have
the
target sublog.

Opened bug 54435 to have this run on WMF wikis

Which has now been done.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 5 2016, 2:26 PM

Change 453589 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Phabricator: Rename Bug37714 by T39714

https://gerrit.wikimedia.org/r/453589